
eXtplorer - PHP-based File Manager - Fehler #52

2..1.0RC5 installed failed - error in SQL syntax

12/10/2011 08:15 PM - kartat chan

Status: Erledigt   

Priority: Normal   

Assignee: Sören Eberhardt-Biermann   

Category:    

Target version:    

eXtplorer Version:  Joomla! Version:  

Description

I tried to install com_eXtplorer_2.1.0RC5.zip on Joomla 1.5.22, PHP 5.2.11, mysql 5.5.16 and failed. Got the below error message in

Joomla Administrator:

JInstaller::install: SQL Error. DB function failed with error number 1064

You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use

near 'TYPE=MyISAM' at line 13 SQL=CREATE TABLE IF NOT EXISTS `jos_extwebdav_locks` ( token varchar(255) NOT NULL

default '', path varchar(200) NOT NULL default '', expires int(11) NOT NULL default '0', owner varchar(200) default NULL, recursive

int(11) default '0', writelock int(11) default '0', exclusivelock int(11) NOT NULL default 0, PRIMARY KEY (token), UNIQUE KEY token

(token), KEY path (path), KEY expires (expires) ) TYPE=MyISAM;

SQL =

CREATE TABLE IF NOT EXISTS `jos_extwebdav_locks` (

token varchar(255) NOT NULL default '',

path varchar(200) NOT NULL default '',

expires int(11) NOT NULL default '0',

owner varchar(200) default NULL,

recursive int(11) default '0',

writelock int(11) default '0',

exclusivelock int(11) NOT NULL default 0,

PRIMARY KEY  (token),

UNIQUE KEY token (token),

KEY path (path),

KEY expires (expires)

) TYPE=MyISAM;

Subtasks:

Fehler # 70: Error installing com_eXtplorer_2.1.0RC5.zip on Joomla 1.5.25 Erledigt

History

#1 - 12/29/2011 10:21 AM - Sören Eberhardt-Biermann

- Assignee set to Sören Eberhardt-Biermann

You can change the file extplorer.j15.xml in the extplorer ZIP package and replace

TYPE=MyISAM;

with

ENGINE=MyISAM;

in both occurences. After that update the file in the ZIP package and run the installation again.

#2 - 03/29/2012 02:35 PM - Sören Eberhardt-Biermann

- Status changed from Neu to Erledigt
